{
    attributes = (
        {
            allowsNull = Y; 
            columnName = BOR_DATE_VISA; 
            externalType = DATE; 
            name = borDateVisa; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = BOR_ID; 
            externalType = NUMBER; 
            name = borId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = BOR_NUM; 
            externalType = NUMBER; 
            name = borNum; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = BRJ_ORDRE; 
            externalType = NUMBER; 
            name = brjOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = EXE_ORDRE; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FOU_ORDRE; 
            externalType = NUMBER; 
            name = fouOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = GES_CODE; 
            externalType = VARCHAR2; 
            name = gesCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = MAN_ATTENTE_DATE; 
            externalType = DATE; 
            name = manAttenteDate; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = MAN_ATTENTE_OBJET; 
            externalType = VARCHAR2; 
            name = manAttenteObjet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = MAN_ATTENTE_PAIEMENT; 
            externalType = NUMBER; 
            name = manAttentePaiement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MAN_ETAT; 
            externalType = VARCHAR2; 
            name = manEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = MAN_HT; 
            externalType = NUMBER; 
            name = manHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = MAN_ID; 
            externalType = NUMBER; 
            name = manId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MAN_MOTIF_REJET; 
            externalType = VARCHAR2; 
            name = manMotifRejet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1000; 
        }, 
        {
            columnName = MAN_NUMERO; 
            externalType = NUMBER; 
            name = manNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MAN_NUMERO_REJET; 
            externalType = NUMBER; 
            name = manNumeroRejet; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MAN_TTC; 
            externalType = NUMBER; 
            name = manTtc; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = MAN_TVA; 
            externalType = NUMBER; 
            name = manTva; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = MOD_CODE; 
            externalType = VARCHAR2; 
            name = modCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = MOD_DOM; 
            externalType = VARCHAR2; 
            name = modDom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = MOD_LIBELLE; 
            externalType = VARCHAR2; 
            name = modLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = ORG_ORDRE; 
            externalType = NUMBER; 
            name = orgOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ORI_ORDRE; 
            externalType = NUMBER; 
            name = oriOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = PAI_NUMERO; 
            externalType = NUMBER; 
            name = paiNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = PAI_ORDRE; 
            externalType = NUMBER; 
            name = paiOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PCO_NUM; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = PREST_ID; 
            externalType = NUMBER; 
            name = prestId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = RIB_ORDRE_COMPTABLE; 
            externalType = NUMBER; 
            name = ribOrdreComptable; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = RIB_ORDRE_ORDONNATEUR; 
            externalType = NUMBER; 
            name = ribOrdreOrdonnateur; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = TVI_LIBELLE; 
            externalType = VARCHAR2; 
            name = tviLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = VIR_DATE_CREATION; 
            externalType = DATE; 
            name = virDateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = VIR_DATE_VALEUR; 
            externalType = DATE; 
            name = virDateValeur; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }
    ); 
    attributesUsedForLocking = (
        manId, 
        exeOrdre, 
        borId, 
        borNum, 
        gesCode, 
        manNumero, 
        fouOrdre, 
        manEtat, 
        brjOrdre, 
        manNumeroRejet, 
        manMotifRejet, 
        paiNumero, 
        tviLibelle, 
        modDom, 
        modCode, 
        modLibelle, 
        oriOrdre, 
        pcoNum, 
        prestId, 
        paiOrdre, 
        orgOrdre, 
        ribOrdreOrdonnateur, 
        ribOrdreComptable, 
        manAttentePaiement, 
        manAttenteObjet
    ); 
    className = org.cocktail.kiwi.server.metier.EOMandat; 
    classProperties = (
        exeOrdre, 
        borId, 
        gesCode, 
        manNumero, 
        manEtat, 
        borDateVisa, 
        brjOrdre, 
        manNumeroRejet, 
        manMotifRejet, 
        manHt, 
        manTva, 
        manTtc, 
        paiNumero, 
        tviLibelle, 
        virDateValeur, 
        modDom, 
        modCode, 
        modLibelle, 
        oriOrdre, 
        pcoNum, 
        prestId, 
        paiOrdre, 
        orgOrdre, 
        ribOrdreOrdonnateur, 
        ribOrdreComptable, 
        manAttentePaiement, 
        manAttenteDate, 
        manAttenteObjet, 
        virDateCreation, 
        rib, 
        borNum, 
        fournis, 
        depenseCtrlPlancos
    ); 
    externalName = MARACUJA.V_MANDAT_SUIVI; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            exeOrdre, 
            borId, 
            borNum, 
            gesCode, 
            manNumero, 
            manEtat, 
            borDateVisa, 
            brjOrdre, 
            manNumeroRejet, 
            manMotifRejet, 
            manHt, 
            manTva, 
            manTtc, 
            paiNumero, 
            tviLibelle, 
            virDateValeur, 
            modDom, 
            modCode, 
            modLibelle, 
            oriOrdre, 
            pcoNum, 
            prestId, 
            paiOrdre, 
            orgOrdre, 
            ribOrdreOrdonnateur, 
            ribOrdreComptable, 
            manAttentePaiement, 
            manAttenteDate, 
            manAttenteObjet, 
            virDateCreation, 
            rib, 
            fournis, 
            depenseCtrlPlancos
        ); 
        _javaClientClassName = org.cocktail.kiwi.client.metier.EOMandat; 
    }; 
    name = Mandat; 
    primaryKeyAttributes = (manId); 
    relationships = (
        {
            destination = DepenseCtrlPlanco; 
            internalInfo = {_nameInObjectStore = depenseCtrlPlanco; }; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = manId; sourceAttribute = manId; }); 
            name = depenseCtrlPlancos; 
        }, 
        {
            destination = Fournis; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fouOrdre; sourceAttribute = fouOrdre; }); 
            name = fournis; 
        }, 
        {
            destination = Ribfour; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ribOrdre; sourceAttribute = ribOrdreComptable; }); 
            name = rib; 
        }
    ); 
}
